cURL
curl --request POST \
--url https://{portalApiUrl}/product/get_all \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"start": 0,
"limit": 10,
"criterias": [
{
"column": "product_type_id",
"operator": "equal",
"value": "micro"
}
]
}
'import requests
url = "https://{portalApiUrl}/product/get_all"
payload = {
"start": 0,
"limit": 10,
"criterias": [
{
"column": "product_type_id",
"operator": "equal",
"value": "micro"
}
]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start: 0,
limit: 10,
criterias: [{column: 'product_type_id', operator: 'equal', value: 'micro'}]
})
};
fetch('https://{portalApiUrl}/product/get_all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"total": 42,
"result": [
{
"product_id": 4821,
"product_key": "advanced-leadership-2024",
"product_type_id": "micro",
"product_status": "published",
"product_i18n_language_id": "fr",
"product_i18n_title": "Leadership avancé",
"product_price": 149.99,
"product_for_sale": 1,
"product_add_to_catalog": 1
}
]
}{
"code": 123,
"message": "<string>"
}Product
Get all products
POST
/
product
/
get_all
cURL
Authorizations
Authentication token obtained from POST /token
Body
application/json
⌘I